%global modulename json-stable-stringify-without-jsonify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-json-stable-stringify-without-jsonify
Version:        1.0.1
Release:        1%{?dist}
Summary:        deterministic JSON.stringify() with custom sorting to get deterministic hashes from stringified results, with no public domain dependencies

License:        MIT
URL:            https://github.com/samn/json-stable-stringify
Source0:        https://registry.npmjs.org/json-stable-stringify-without-jsonify/-/json-stable-stringify-without-jsonify-1.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
deterministic JSON.stringify() with custom sorting to get deterministic hashes from stringified results, with no public domain dependencies

%package 1.0.1
Summary:        deterministic JSON.stringify() with custom sorting to get deterministic hashes from stringified results, with no public domain dependencies


%description 1.0.1
deterministic JSON.stringify() with custom sorting to get deterministic hashes from stringified results, with no public domain dependencies

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.markdown
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.1
%doc readme.markdown
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 1.0.1-1
- Package automatically generated by npm2srpm
